TimeoutException {R.utils} | R Documentation

## TimeoutException represents timeout errors

### Description

Package: R.utils
Class TimeoutException

`Object`
`~~|`
`~~+--``try-error`
`~~~~~~~|`
`~~~~~~~+--``condition`
`~~~~~~~~~~~~|`
`~~~~~~~~~~~~+--``error`
`~~~~~~~~~~~~~~~~~|`
`~~~~~~~~~~~~~~~~~+--``simpleError`
`~~~~~~~~~~~~~~~~~~~~~~|`
`~~~~~~~~~~~~~~~~~~~~~~+--``Exception`
`~~~~~~~~~~~~~~~~~~~~~~~~~~~|`
`~~~~~~~~~~~~~~~~~~~~~~~~~~~+--``TimeoutException`

Directly known subclasses:

public static class TimeoutException
extends Exception

TimeoutException represents timeout errors occuring when a set of R expressions executed did not finish in time.

### Usage

    TimeoutException(..., cpu=NA, elapsed=NA)

### Arguments

`...` | Any arguments accepted by `Exception`

.

`cpu, elapsed` | The maximum time the R expressions were allowed to be running before the timeout occured as measured in CPU time and (physically) elapsed time.

### Fields and Methods

Methods:

| `getMessage` | Gets the message of the exception.

Methods inherited from Exception:
as.character, getCall, getCalls, getLastException, getMessage, getStackTrace, getWhen, print, printStackTrace, throw

Methods inherited from error:
as.character, throw

Methods inherited from condition:
abort, as.character, conditionCall, conditionMessage, print

Methods inherited from Object:
$, $<-, [[, [[<-, as.character, attach, attachLocally, clearCache, clearLookupCache, clone, detach, equals, extend, finalize, getEnvironment, getFieldModifier, getFieldModifiers, getFields, getInstantiationTime, getStaticInstance, hasField, hashCode, ll, load, names, objectSize, print, save

### Author(s)

Henrik Bengtsson

### See Also

For detailed information about exceptions see `Exception`.

[Package R.utils version 2.6.0 Index]